#!/bin/sh

PREREQ="udev"
prereqs()
{
	echo "$PREREQ"
}
case $1 in
# get pre-requisites
prereqs)
	prereqs
	exit 0
	;;
esac

[ -x /bin/brltty ] || exit 0

[ -d /proc/bus/usb ] && mount -t usbfs usbfs /proc/bus/usb
cp /proc/mounts /etc/mtab

# Start BRLTTY
if [ -r /etc/brltty.conf ]; then
  /bin/brltty -eqN 2>/dev/tty2
fi
